Bug 801495 - [abrt] inkscape-0.48.1-9.fc16: __GI_raise: Process /usr/bin/inkscape was killed by signal 6 (SIGABRT)
[abrt] inkscape-0.48.1-9.fc16: __GI_raise: Process /usr/bin/inkscape was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:2bf1c3a718afc77d52ee32ea6fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 11:35 EST by Tim Waugh
Modified: 2013-02-13 11:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:03:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (12.47 KB, text/plain)
2012-03-08 11:35 EST, Tim Waugh
no flags Details
File: build_ids (4.84 KB, text/plain)
2012-03-08 11:35 EST, Tim Waugh
no flags Details
File: backtrace (32.52 KB, text/plain)
2012-03-08 11:35 EST, Tim Waugh
no flags Details
File: maps (53.06 KB, text/plain)
2012-03-08 11:35 EST, Tim Waugh
no flags Details
File that reproduces the problem (17.20 KB, image/svg+xml)
2012-03-09 04:22 EST, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2012-03-08 11:35:00 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        inkscape
crash_function: __GI_raise
executable:     /usr/bin/inkscape
kernel:         3.2.9-1.fc16.x86_64
pid:            17214
pwd:            /home/twaugh
reason:         Process /usr/bin/inkscape was killed by signal 6 (SIGABRT)
time:           Thu 08 Mar 2012 16:04:36 GMT
uid:            1001
username:       twaugh
var_log_messages: Mar  8 16:04:39 rubik abrt[20112]: Saved core dump of pid 17214 (/usr/bin/inkscape) to /var/spool/abrt/ccpp-2012-03-08-16:04:36-17214 (178561024 bytes)

backtrace:      Text file, 33302 bytes
build_ids:      Text file, 4961 bytes
dso_list:       Text file, 12765 bytes
maps:           Text file, 54329 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=rubik.elk
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8f0421c9bcaac4f06d196a920000001f-1331119611.812283-2098406922
:GNOME_KEYRING_CONTROL=/tmp/keyring-FZwj0X
:IMSETTINGS_MODULE=none
:USER=twaugh
:USERNAME=twaugh
:MAIL=/var/spool/mail/twaugh
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/twaugh/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/twaugh
:XMODIFIERS=@im=none
:EDITOR=vim
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1876
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/twaugh
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=twaugh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-GKWO3oz8wC,guid=dc09a9f6df810d0f81d279a600000036
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/twaugh
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-twaugh-mIUqcs/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1881,unix/unix:/tmp/.ICE-unix/1881
:SSH_AUTH_SOCK=/tmp/keyring-FZwj0X/ssh
:GPG_AGENT_INFO=/tmp/keyring-FZwj0X/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-2102-rubik.elk-inkscape-42_TIME34136500
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-inkscape.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=17214

xsession_errors:
:If you can reproduce this crash, please file a bug at www.inkscape.org
:If you can reproduce this crash, please file a bug at www.inkscape.org
:abrt-applet: repeated problem in inkscape-0.48.1-9.fc16, not showing the notification
Comment 1 Tim Waugh 2012-03-08 11:35:04 EST
Created attachment 568689 [details]
File: dso_list
Comment 2 Tim Waugh 2012-03-08 11:35:06 EST
Created attachment 568690 [details]
File: build_ids
Comment 3 Tim Waugh 2012-03-08 11:35:09 EST
Created attachment 568691 [details]
File: backtrace
Comment 4 Tim Waugh 2012-03-08 11:35:12 EST
Created attachment 568692 [details]
File: maps
Comment 5 Tim Waugh 2012-03-08 11:36:04 EST
I think this happened when using the connector tool in avoid-objects mode when there were already objects selected.
Comment 6 Tim Waugh 2012-03-09 04:20:34 EST
This is the full output:

terminate called after throwing an instance of 'Geom::InfiniteSolutions'
  what():  lib2geom exception: There are infinite solutions (2geom/line.cpp:215)

Emergency save activated!
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at www.inkscape.org
with a detailed description of the steps leading to the crash, so we can fix it.
Aborted (core dumped)
Comment 7 Tim Waugh 2012-03-09 04:22:04 EST
Created attachment 568871 [details]
File that reproduces the problem

This is the emergency save file, and running inkscape on it reproduces the problem.
Comment 8 Fedora Admin XMLRPC Client 2012-10-03 13:38:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2013-01-16 09:48:13 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora End Of Life 2013-02-13 11:03:20 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.